/*
 *  ******************************************************************************
 *  *
 *  *
 *  * This program and the accompanying materials are made available under the
 *  * terms of the Apache License, Version 2.0 which is available at
 *  * https://www.apache.org/licenses/LICENSE-2.0.
 *  *
 *  *  See the NOTICE file distributed with this work for additional
 *  *  information regarding copyright ownership.
 *  * Unless required by applicable law or agreed to in writing, software
 *  * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 *  * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 *  * License for the specific language governing permissions and limitations
 *  * under the License.
 *  *
 *  * SPDX-License-Identifier: Apache-2.0
 *  *****************************************************************************
 */


package org.deeplearning4j.nn.conf;

/**
 * N is the batch size<br/>
 * C is the number of feature maps (that is,, number of channels)<br/>
 * H is the image height (not used for 1D conv as this is an RNN format<br/>
 * W is the image width<br/>
 * **/
public enum RNNFormat implements DataFormat {
    /** n=batch size; c=channels/ features; w=width **/ NCW,
    /** n=batch size; w=width; c=channels/ features **/ NWC
}
